<%@include file = "jspf/enteteJSPF.jspf" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@page import="com.test.forms.AuthentifForm" %>

<!-- Message de bienvenue personnalis -->
<p>Bienvenue <c:out value="${param.ztPseudo}" /> sur la nouvelle application de gestion des clients</p>
${empty param.ztPseudo ? "Veuillez vous authentifier" : "Authentification russie"}
<!-- Affichage du formulaire si l'utilisateur ne s'est pas encore authentifi -->
<c:choose>
    <c:when test="${empty param.ztPseudo}">
        <fieldset>
            <legend>Authentification</legend>
            <form method="POST" action="Accueil">
                <input type="text" name="ztPseudo" placeholder="Pseudo" /><br /><!-- comment -->
                <input type="password" name="ztMDP" placeholder="Mot de passe" /><br /><br />
                <input type="submit" value="Valider" />
            </form>
        </fieldset>
    </c:when>  
    <c:otherwise>
       <!--    Si l'utilisateur s'est authentifi,
        Affichage du message contenu dans l'objet controlForm de type AuthentifForm -->
        
        <p>${controlForm.getResultat()}</p>
    </c:otherwise>
</c:choose>

<br />
<!-- Affichage des 3 liens htpertexte -->
<%@include file="jspf/menuJSPF.jspf" %>

<!-- Test EL Expression Langage -->

<!-- Test avec formule de calcul -->
<h2>Tests divers </h2>F
${ 10 / 4} <br />
<p>Test avec EL et JSTL </p>
<p>ztPseudo : ${param.ztPseudo}</p>

<p>isAdmin : ${isAdmin}</p>
<p>Message reu : ${controlForm.getResultat()}</p>

<c:out value="Test jstl : ${controlForm.getResultat()}" />
<c:out value="${controlForm.getResultat()}">
    Je ne sais pas encore si vous tes administrateur
</c:out>

<c:set var="message" value="Hello" scope="request" />
<p>Voici le message : ${message} </p>

<p> Test sur controlForm : 
${empty controlForm.getResultat() ? "" : controlForm.getResultat()}
</p>
<c:out value="${empty param.ztPseudo ? 'none' : param.ztPseudo += ' enabled'}" />

<c:set var="langue" scope="request">
    <c:out value="${param.lang}" default="franais" />
</c:set>
<p>Langue : ${langue} </p>

<c:if test="${12 > 7}" var="resultatTest" scope="page" >
    Test positif
</c:if>
<p> Rsultat du test : ${resultatTest}</p>

<c:forEach var="i" begin="0" end="5" step="1" >
	Instructions  rpter (html,  ou jstl)- ${i} <br />
</c:forEach>
        
        Voici les controles : <br />
        
        <c:forEach items="${lesControles}" var="unControle" >
            ${unControle.toString()} <br />
        </c:forEach>  

        

</body>
</html>
