<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<%@include file = "jspf/enteteJSPF.jspf" %>
<h2>Cration d'un nouveau client</h2><!-- comment -->
<!-- <p>Page en cours de construction</p><!-- comment --> 
<img src="images/pageEnConstruction.jpg" alt="Page en construction"/>
<fieldset>
    <legend>Fiche client</legend>
    <form name="fClient" action="NouveauClient" method="POST">
        <label for="cbCivilite1">Mr </label>            
        <input type="radio" name="btrCivilite" id="btrCivilite1" value="Mr" checked /> 
        <label for="cbCivilite2">Mme </label>
        <input type="radio" name="btrCivilite" id="btrCivilite2" value="Mme" /> 
        <label for="ztPrenom">Prnom </label>
        <input type="text" name="ztPrenom" id="ztPrenom" value="" />
        <label for="ztNom">Nom </label>
        <input type="text" name="ztNom" id="ztNom" value="" />
        <label for="ztPwd">Mot de passe </label>
        <input type="password" name="ztPwd" id="ztPwd" value="" /><br>
        Adresse postale : 
        <input type="text" name="ztNoRue" value="" placeholder="No"/>
        <input type="text" name="ztRue" value="" placeholder="Rue"/>
        <input type="text" name="ztCP" value="" placeholder="Code postal"/>
        <input type="text" name="ztVille" value="" placeholder="Ville"/><br>
        <label for="ztMail">Adresse mail </label>
        <input type="email" name="ztMail" id="ztMail" value="" />
        <label for="ztTel">Tlphone </label>
        <input type="text" name="ztTel" id="ztTel" value="" />
        <label for="ztDateNais">Date de naissance </label>
        <input type="date" min="1921-01-01" name="ztDateNais" id="ztDateNais" value="" />
        <br>
        <input type="submit" value="Valider" />
    </form>
</fieldset>
<br>

<p>
<c:choose>
    <c:when test="${idClient >= 0}">        
        Le client no ${idClient} a t cr avec succs
    </c:when>
    <c:when test="${idClient == -1}">
        E R R E U R : ${message}  
    </c:when>
    <c:otherwise>  
        Cliquez sur <em>"Valider"</em> aprs avoir renseign les informations demandes 
    </c:otherwise> 
</c:choose>
</p>

<%@include file="jspf/menuJSPF.jspf" %>     
<article>
    <h3>Liste des numros des clients rcement crs :  </h3>
    <c:forEach items="${sessionScope.lesNvxClients}" var="unClient">
        ${unClient} -
    </c:forEach>
</article>
</body>
</html>
